org.icefaces.ace.component.textentry

## Enum TextEntryBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<TextEntryBase.PropertyKeys>
  - - org.icefaces.ace.component.textentry.TextEntryBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TextEntryBase.PropertyKeys>
  Enclosing class:
    TextEntryBase

      protected static enum TextEntryBase.PropertyKeys
      extends java.lang.Enum<TextEntryBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `autoTab`
    `indicatorPosition`
    `labelPosition`
    `optionalIndicator`
    `redisplay`
    `requiredIndicator`
    `secret`
    `widgetVar`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static TextEntryBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TextEntryBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### autoTab

          public static final TextEntryBase.PropertyKeys autoTab

    - #### indicatorPosition

          public static final TextEntryBase.PropertyKeys indicatorPosition

    - #### labelPosition

          public static final TextEntryBase.PropertyKeys labelPosition

    - #### optionalIndicator

          public static final TextEntryBase.PropertyKeys optionalIndicator

    - #### redisplay

          public static final TextEntryBase.PropertyKeys redisplay

    - #### requiredIndicator

          public static final TextEntryBase.PropertyKeys requiredIndicator

    - #### secret

          public static final TextEntryBase.PropertyKeys secret

    - #### widgetVar

          public static final TextEntryBase.PropertyKeys widgetVar

  - ### Method Detail

    - #### values

          public static TextEntryBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextEntryBase.PropertyKeys c : TextEntryBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextEntryBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<TextEntryBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.